
Foreman - Bug #7840

Smart variables values always shows default in host edit form

10/07/2014 10:31 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Parameters   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1259174 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2431

  

Description

When editing a host in the "Parameters" tab under "Puppet class" smart variables always show default value even when there is an

override for the variable that matches the host.

The host's yaml show's the correct value

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Associated revisions

Revision 33eca4df - 08/10/2015 10:27 AM - Tomer Brisker

Fixes #7840 - Show correct values for smart variables on host edit page

History

#1 - 10/07/2014 10:31 AM - Ori Rabin

- Related to Tracker #4470: Usability of parameters and overrides added

#2 - 10/07/2014 10:33 AM - Ori Rabin

- Subject changed from Smart variables values always show's default in host edit form to Smart variables values always shows default in host edit

form

#3 - 06/04/2015 02:35 AM - Tomer Brisker

This only happens for smart variables and not class parameters.

#4 - 06/04/2015 04:35 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#5 - 06/04/2015 04:37 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2431 added

- Pull request deleted ()

#6 - 08/10/2015 10:27 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#7 - 08/10/2015 11:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 33eca4dfec4949308aa265420b963cd80c5f7d13.
#8 - 09/02/2015 02:59 AM - Tomer Brisker

- Bugzilla link set to 1259174
